%define rel	3
%define prerel	b1

Summary:	An OO graph drawing class library for PHP5
Name:		php-jpgraph
Version:	3.5.0
Release:	%mkrel -c %{prerel} %{rel}.1
License:	QPL
Group:		Networking/Other
URL:		http://jpgraph.net/
Source0:	jpgraph-%{version}%{prerel}.tar.gz
Patch0:		jpgraph-3.0.6-CVE-2009-4422.diff
Requires:	gd
Requires:	php-gd
Requires:	fonts-ttf-bitstream-vera
BuildArch:	noarch
Obsoletes:	php5-jpgraph

# Needed by owncloud6
Provides:   pear(jpgraph_radar.php)

%define _requires_exceptions ^pear\(jpgraph

%description
JpGraph is a OO Graph drawing library for PHP 5.0.x and above.
Highlights of the available features are: text, linear, and log
scales for both the X and Y axes, anti-aliasing of lines,
color-gradient fills, support for GIF, JPG, and PNG formats,
support for two Y axes, spider plots (a.k.a Web plots),
pie-charts, lineplots, filled line plots, impulse plots, bar
plots, and error plots, support for multiple plot types in one
graph, intelligent autoscaling.

Extensive documentations are available at:
http://jpgraph.net/doc/

%package	doc
Summary:	Documentation for JpGraph
Group:		Documentation

%description	doc
JpGraph is a OO Graph drawing library for PHP 5.0.x and above.
Highlights of the available features are: text, linear, and log
scales for both the X and Y axes, anti-aliasing of lines,
color-gradient fills, support for GIF, JPG, and PNG formats,
support for two Y axes, spider plots (a.k.a Web plots),
pie-charts, lineplots, filled line plots, impulse plots, bar
plots, and error plots, support for multiple plot types in one
graph, intelligent autoscaling.

This package contains the documentation for %{name}.

%prep
%setup -q -n jpgraph-%{version}%{prerel}
%patch0 -p0

%install
install -d %{buildroot}%{_datadir}/php/jpgraph
cp -aRf src/* %{buildroot}%{_datadir}/php/jpgraph/

install -d -m 755 %{buildroot}%{_docdir}/%{name}
cp -r docs %{buildroot}%{_docdir}/%{name}
cp -r src/Examples %{buildroot}%{_docdir}/%{name}
install -m 644 README VERSION %{buildroot}%{_docdir}/%{name}

%files
%{_docdir}/%{name}
%{_datadir}/php/jpgraph
%exclude %{_docdir}/%{name}/Examples
%exclude %{_docdir}/%{name}/docs

%files doc
%{_docdir}/%{name}/Examples
%{_docdir}/%{name}/docs


%changelog
* Mon Dec 12 2016 tex - 3.5.0-0.b1.3.1pclos2017
- rebuild

* Mon Dec 12 2016 bb <bb> 3.5.0-b1.3pclos2017
-rebuild

* Sun Mar 20 2016 bb <bb> 3.5.0-b1.2pclos2016
- fix dependencies

* Sun Mar 13 2016 bb <bb> 3.5.0-b1.1pclos2016
- update
